cURL
curl --request GET \
--url https://api.slash.com/card-group \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.slash.com/card-group"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/card-group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"virtualAccountId": "<string>",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
},
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
}
}
],
"metadata": {
"nextCursor": "<string>",
"count": 123
}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Card Group
List card groups
Retrieve the list of card groups that the user owns.
GET
/
card-group
cURL
Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Query Parameters
A cursor string to fetch the next page of results
Pass in a name to filter for card groups with a matching name.
Pass in a virtual account ID to filter for card groups under a specific virtual account.
Filter card groups by status. Defaults to 'active' if not provided.
Available options:
active, archived ⌘I